Package com.independentsoft.office.odf

# Enum Class ConfigurationType

java.lang.Object
java.lang.Enum<ConfigurationType>
com.independentsoft.office.odf.ConfigurationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigurationType>`, `Constable`

public enum ConfigurationType extends Enum<ConfigurationType>
Represents a data type for a setting.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASE64_BINARY`
  Contains a base64Binary value.
  `BOOLEAN`
  A Boolean value may have either of the values true or false.
  `DATE_TIME`
  Contains a dataTime value.
  `DOUBLE`
  Contains a double value.
  `INT`
  Contains a integer value.
  `LONG`
  Contains a long value.
  `SHORT`
  Contains a short value.
  `STRING`
  Contains a string value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigurationType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConfigurationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOOLEAN

    public static final ConfigurationType BOOLEAN
    A Boolean value may have either of the values true or false.

  - ### SHORT

    public static final ConfigurationType SHORT
    Contains a short value.

  - ### INT

    public static final ConfigurationType INT
    Contains a integer value.

  - ### LONG

    public static final ConfigurationType LONG
    Contains a long value.

  - ### DOUBLE

    public static final ConfigurationType DOUBLE
    Contains a double value.

  - ### STRING

    public static final ConfigurationType STRING
    Contains a string value.

  - ### DATE_TIME

    public static final ConfigurationType DATE_TIME
    Contains a dataTime value.

  - ### BASE64_BINARY

    public static final ConfigurationType BASE64_BINARY
    Contains a base64Binary value.

- ## Method Details

  - ### values

    public static ConfigurationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConfigurationType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null